// $ANTLR 3.2 Sep 23, 2009 12:02:23 C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g 2011-01-15 12:26:20

package jTMass.core.jALLL;


import org.antlr.runtime.*;
import java.util.Stack;
import java.util.List;
import java.util.ArrayList;

public class ALLLLexer extends Lexer {
    public static final int INTERNAL=12;
    public static final int T__29=29;
    public static final int T__28=28;
    public static final int T__27=27;
    public static final int T__26=26;
    public static final int T__25=25;
    public static final int T__24=24;
    public static final int T__23=23;
    public static final int EXECUTE=6;
    public static final int T__22=22;
    public static final int T__21=21;
    public static final int T__20=20;
    public static final int NUMBER=4;
    public static final int SEMICOLON=15;
    public static final int DELETE=9;
    public static final int ID=5;
    public static final int EOF=-1;
    public static final int T__30=30;
    public static final int T__19=19;
    public static final int T__31=31;
    public static final int T__32=32;
    public static final int T__33=33;
    public static final int WS=16;
    public static final int T__34=34;
    public static final int T__18=18;
    public static final int T__35=35;
    public static final int DATABASE=14;
    public static final int T__17=17;
    public static final int QUERY=7;
    public static final int SEND=10;
    public static final int INTENTION=13;
    public static final int RECEIVE=11;
    public static final int ADD=8;

    // delegates
    // delegators

    public ALLLLexer() {;} 
    public ALLLLexer(CharStream input) {
        this(input, new RecognizerSharedState());
    }
    public ALLLLexer(CharStream input, RecognizerSharedState state) {
        super(input,state);

    }
    public String getGrammarFileName() { return "C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g"; }

    // $ANTLR start "T__17"
    public final void mT__17() throws RecognitionException {
        try {
            int _type = T__17;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:7:7: ( '\\'' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:7:9: '\\''
            {
            match('\''); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__17"

    // $ANTLR start "T__18"
    public final void mT__18() throws RecognitionException {
        try {
            int _type = T__18;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:8:7: ( '&&' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:8:9: '&&'
            {
            match("&&"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__18"

    // $ANTLR start "T__19"
    public final void mT__19() throws RecognitionException {
        try {
            int _type = T__19;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:9:7: ( '&L' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:9:9: '&L'
            {
            match("&L"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__19"

    // $ANTLR start "T__20"
    public final void mT__20() throws RecognitionException {
        try {
            int _type = T__20;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:10:7: ( '&N' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:10:9: '&N'
            {
            match("&N"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__20"

    // $ANTLR start "T__21"
    public final void mT__21() throws RecognitionException {
        try {
            int _type = T__21;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:11:7: ( '&' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:11:9: '&'
            {
            match('&'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__21"

    // $ANTLR start "T__22"
    public final void mT__22() throws RecognitionException {
        try {
            int _type = T__22;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:12:7: ( '_' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:12:9: '_'
            {
            match('_'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__22"

    // $ANTLR start "T__23"
    public final void mT__23() throws RecognitionException {
        try {
            int _type = T__23;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:13:7: ( '^' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:13:9: '^'
            {
            match('^'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__23"

    // $ANTLR start "T__24"
    public final void mT__24() throws RecognitionException {
        try {
            int _type = T__24;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:14:7: ( '(' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:14:9: '('
            {
            match('('); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__24"

    // $ANTLR start "T__25"
    public final void mT__25() throws RecognitionException {
        try {
            int _type = T__25;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:15:7: ( ')' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:15:9: ')'
            {
            match(')'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__25"

    // $ANTLR start "T__26"
    public final void mT__26() throws RecognitionException {
        try {
            int _type = T__26;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:16:7: ( '<' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:16:9: '<'
            {
            match('<'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__26"

    // $ANTLR start "T__27"
    public final void mT__27() throws RecognitionException {
        try {
            int _type = T__27;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:17:7: ( ',' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:17:9: ','
            {
            match(','); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__27"

    // $ANTLR start "T__28"
    public final void mT__28() throws RecognitionException {
        try {
            int _type = T__28;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:18:7: ( '>' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:18:9: '>'
            {
            match('>'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__28"

    // $ANTLR start "T__29"
    public final void mT__29() throws RecognitionException {
        try {
            int _type = T__29;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:19:7: ( '{' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:19:9: '{'
            {
            match('{'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__29"

    // $ANTLR start "T__30"
    public final void mT__30() throws RecognitionException {
        try {
            int _type = T__30;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:20:7: ( '}' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:20:9: '}'
            {
            match('}'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__30"

    // $ANTLR start "T__31"
    public final void mT__31() throws RecognitionException {
        try {
            int _type = T__31;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:21:7: ( '[' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:21:9: '['
            {
            match('['); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__31"

    // $ANTLR start "T__32"
    public final void mT__32() throws RecognitionException {
        try {
            int _type = T__32;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:22:7: ( ']' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:22:9: ']'
            {
            match(']'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__32"

    // $ANTLR start "T__33"
    public final void mT__33() throws RecognitionException {
        try {
            int _type = T__33;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:23:7: ( 'FI' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:23:9: 'FI'
            {
            match("FI"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__33"

    // $ANTLR start "T__34"
    public final void mT__34() throws RecognitionException {
        try {
            int _type = T__34;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:24:7: ( 'OI' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:24:9: 'OI'
            {
            match("OI"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__34"

    // $ANTLR start "T__35"
    public final void mT__35() throws RecognitionException {
        try {
            int _type = T__35;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:25:7: ( ':' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:25:9: ':'
            {
            match(':'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__35"

    // $ANTLR start "ADD"
    public final void mADD() throws RecognitionException {
        try {
            int _type = ADD;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:203:6: ( '+' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:203:8: '+'
            {
            match('+'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "ADD"

    // $ANTLR start "DELETE"
    public final void mDELETE() throws RecognitionException {
        try {
            int _type = DELETE;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:205:9: ( '-' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:205:11: '-'
            {
            match('-'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "DELETE"

    // $ANTLR start "EXECUTE"
    public final void mEXECUTE() throws RecognitionException {
        try {
            int _type = EXECUTE;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:207:9: ( '@' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:207:11: '@'
            {
            match('@'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "EXECUTE"

    // $ANTLR start "QUERY"
    public final void mQUERY() throws RecognitionException {
        try {
            int _type = QUERY;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:209:8: ( '#' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:209:10: '#'
            {
            match('#'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "QUERY"

    // $ANTLR start "SEND"
    public final void mSEND() throws RecognitionException {
        try {
            int _type = SEND;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:211:6: ( '!' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:211:8: '!'
            {
            match('!'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "SEND"

    // $ANTLR start "RECEIVE"
    public final void mRECEIVE() throws RecognitionException {
        try {
            int _type = RECEIVE;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:213:9: ( '?' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:213:11: '?'
            {
            match('?'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "RECEIVE"

    // $ANTLR start "INTERNAL"
    public final void mINTERNAL() throws RecognitionException {
        try {
            int _type = INTERNAL;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:215:9: ( '$' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:215:11: '$'
            {
            match('$'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "INTERNAL"

    // $ANTLR start "SEMICOLON"
    public final void mSEMICOLON() throws RecognitionException {
        try {
            int _type = SEMICOLON;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:218:2: ( ';' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:218:4: ';'
            {
            match(';'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "SEMICOLON"

    // $ANTLR start "NUMBER"
    public final void mNUMBER() throws RecognitionException {
        try {
            int _type = NUMBER;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:221:9: ( ( ( '0' ) | ( '1' .. '9' ) ( '0' .. '9' )* ) )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:221:11: ( ( '0' ) | ( '1' .. '9' ) ( '0' .. '9' )* )
            {
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:221:11: ( ( '0' ) | ( '1' .. '9' ) ( '0' .. '9' )* )
            int alt2=2;
            int LA2_0 = input.LA(1);

            if ( (LA2_0=='0') ) {
                alt2=1;
            }
            else if ( ((LA2_0>='1' && LA2_0<='9')) ) {
                alt2=2;
            }
            else {
                NoViableAltException nvae =
                    new NoViableAltException("", 2, 0, input);

                throw nvae;
            }
            switch (alt2) {
                case 1 :
                    // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:221:12: ( '0' )
                    {
                    // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:221:12: ( '0' )
                    // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:221:13: '0'
                    {
                    match('0'); 

                    }


                    }
                    break;
                case 2 :
                    // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:221:18: ( '1' .. '9' ) ( '0' .. '9' )*
                    {
                    // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:221:18: ( '1' .. '9' )
                    // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:221:19: '1' .. '9'
                    {
                    matchRange('1','9'); 

                    }

                    // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:221:28: ( '0' .. '9' )*
                    loop1:
                    do {
                        int alt1=2;
                        int LA1_0 = input.LA(1);

                        if ( ((LA1_0>='0' && LA1_0<='9')) ) {
                            alt1=1;
                        }


                        switch (alt1) {
                    	case 1 :
                    	    // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:221:29: '0' .. '9'
                    	    {
                    	    matchRange('0','9'); 

                    	    }
                    	    break;

                    	default :
                    	    break loop1;
                        }
                    } while (true);


                    }
                    break;

            }


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "NUMBER"

    // $ANTLR start "ID"
    public final void mID() throws RecognitionException {
        try {
            int _type = ID;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:223:4: ( ( ( 'a' .. 'z' | 'A' .. 'Z' | NUMBER | '_' | '-' | '+' | '.' ) )+ )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:223:6: ( ( 'a' .. 'z' | 'A' .. 'Z' | NUMBER | '_' | '-' | '+' | '.' ) )+
            {
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:223:6: ( ( 'a' .. 'z' | 'A' .. 'Z' | NUMBER | '_' | '-' | '+' | '.' ) )+
            int cnt4=0;
            loop4:
            do {
                int alt4=2;
                int LA4_0 = input.LA(1);

                if ( (LA4_0=='+'||(LA4_0>='-' && LA4_0<='.')||(LA4_0>='0' && LA4_0<='9')||(LA4_0>='A' && LA4_0<='Z')||LA4_0=='_'||(LA4_0>='a' && LA4_0<='z')) ) {
                    alt4=1;
                }


                switch (alt4) {
            	case 1 :
            	    // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:223:7: ( 'a' .. 'z' | 'A' .. 'Z' | NUMBER | '_' | '-' | '+' | '.' )
            	    {
            	    // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:223:7: ( 'a' .. 'z' | 'A' .. 'Z' | NUMBER | '_' | '-' | '+' | '.' )
            	    int alt3=7;
            	    switch ( input.LA(1) ) {
            	    case 'a':
            	    case 'b':
            	    case 'c':
            	    case 'd':
            	    case 'e':
            	    case 'f':
            	    case 'g':
            	    case 'h':
            	    case 'i':
            	    case 'j':
            	    case 'k':
            	    case 'l':
            	    case 'm':
            	    case 'n':
            	    case 'o':
            	    case 'p':
            	    case 'q':
            	    case 'r':
            	    case 's':
            	    case 't':
            	    case 'u':
            	    case 'v':
            	    case 'w':
            	    case 'x':
            	    case 'y':
            	    case 'z':
            	        {
            	        alt3=1;
            	        }
            	        break;
            	    case 'A':
            	    case 'B':
            	    case 'C':
            	    case 'D':
            	    case 'E':
            	    case 'F':
            	    case 'G':
            	    case 'H':
            	    case 'I':
            	    case 'J':
            	    case 'K':
            	    case 'L':
            	    case 'M':
            	    case 'N':
            	    case 'O':
            	    case 'P':
            	    case 'Q':
            	    case 'R':
            	    case 'S':
            	    case 'T':
            	    case 'U':
            	    case 'V':
            	    case 'W':
            	    case 'X':
            	    case 'Y':
            	    case 'Z':
            	        {
            	        alt3=2;
            	        }
            	        break;
            	    case '0':
            	    case '1':
            	    case '2':
            	    case '3':
            	    case '4':
            	    case '5':
            	    case '6':
            	    case '7':
            	    case '8':
            	    case '9':
            	        {
            	        alt3=3;
            	        }
            	        break;
            	    case '_':
            	        {
            	        alt3=4;
            	        }
            	        break;
            	    case '-':
            	        {
            	        alt3=5;
            	        }
            	        break;
            	    case '+':
            	        {
            	        alt3=6;
            	        }
            	        break;
            	    case '.':
            	        {
            	        alt3=7;
            	        }
            	        break;
            	    default:
            	        NoViableAltException nvae =
            	            new NoViableAltException("", 3, 0, input);

            	        throw nvae;
            	    }

            	    switch (alt3) {
            	        case 1 :
            	            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:223:8: 'a' .. 'z'
            	            {
            	            matchRange('a','z'); 

            	            }
            	            break;
            	        case 2 :
            	            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:223:17: 'A' .. 'Z'
            	            {
            	            matchRange('A','Z'); 

            	            }
            	            break;
            	        case 3 :
            	            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:223:26: NUMBER
            	            {
            	            mNUMBER(); 

            	            }
            	            break;
            	        case 4 :
            	            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:223:33: '_'
            	            {
            	            match('_'); 

            	            }
            	            break;
            	        case 5 :
            	            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:223:37: '-'
            	            {
            	            match('-'); 

            	            }
            	            break;
            	        case 6 :
            	            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:223:41: '+'
            	            {
            	            match('+'); 

            	            }
            	            break;
            	        case 7 :
            	            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:223:45: '.'
            	            {
            	            match('.'); 

            	            }
            	            break;

            	    }


            	    }
            	    break;

            	default :
            	    if ( cnt4 >= 1 ) break loop4;
                        EarlyExitException eee =
                            new EarlyExitException(4, input);
                        throw eee;
                }
                cnt4++;
            } while (true);


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "ID"

    // $ANTLR start "INTENTION"
    public final void mINTENTION() throws RecognitionException {
        try {
            int _type = INTENTION;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:226:2: ( '>' 'intention' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:226:4: '>' 'intention'
            {
            match('>'); 
            match("intention"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "INTENTION"

    // $ANTLR start "DATABASE"
    public final void mDATABASE() throws RecognitionException {
        try {
            int _type = DATABASE;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:229:2: ( '>' 'database' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:229:4: '>' 'database'
            {
            match('>'); 
            match("database"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "DATABASE"

    // $ANTLR start "WS"
    public final void mWS() throws RecognitionException {
        try {
            int _type = WS;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:232:2: ( ( ' ' | '\\t' | '\\r' | '\\n' | '\\u000C' )+ )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:232:4: ( ' ' | '\\t' | '\\r' | '\\n' | '\\u000C' )+
            {
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:232:4: ( ' ' | '\\t' | '\\r' | '\\n' | '\\u000C' )+
            int cnt5=0;
            loop5:
            do {
                int alt5=2;
                int LA5_0 = input.LA(1);

                if ( ((LA5_0>='\t' && LA5_0<='\n')||(LA5_0>='\f' && LA5_0<='\r')||LA5_0==' ') ) {
                    alt5=1;
                }


                switch (alt5) {
            	case 1 :
            	    // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:
            	    {
            	    if ( (input.LA(1)>='\t' && input.LA(1)<='\n')||(input.LA(1)>='\f' && input.LA(1)<='\r')||input.LA(1)==' ' ) {
            	        input.consume();

            	    }
            	    else {
            	        MismatchedSetException mse = new MismatchedSetException(null,input);
            	        recover(mse);
            	        throw mse;}


            	    }
            	    break;

            	default :
            	    if ( cnt5 >= 1 ) break loop5;
                        EarlyExitException eee =
                            new EarlyExitException(5, input);
                        throw eee;
                }
                cnt5++;
            } while (true);

             _channel=HIDDEN;

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "WS"

    public void mTokens() throws RecognitionException {
        // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:1:8: ( T__17 | T__18 | T__19 | T__20 | T__21 | T__22 | T__23 | T__24 | T__25 | T__26 | T__27 | T__28 | T__29 | T__30 | T__31 | T__32 | T__33 | T__34 | T__35 | ADD | DELETE | EXECUTE | QUERY | SEND | RECEIVE | INTERNAL | SEMICOLON | NUMBER | ID | INTENTION | DATABASE | WS )
        int alt6=32;
        alt6 = dfa6.predict(input);
        switch (alt6) {
            case 1 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:1:10: T__17
                {
                mT__17(); 

                }
                break;
            case 2 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:1:16: T__18
                {
                mT__18(); 

                }
                break;
            case 3 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:1:22: T__19
                {
                mT__19(); 

                }
                break;
            case 4 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:1:28: T__20
                {
                mT__20(); 

                }
                break;
            case 5 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:1:34: T__21
                {
                mT__21(); 

                }
                break;
            case 6 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:1:40: T__22
                {
                mT__22(); 

                }
                break;
            case 7 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:1:46: T__23
                {
                mT__23(); 

                }
                break;
            case 8 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:1:52: T__24
                {
                mT__24(); 

                }
                break;
            case 9 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:1:58: T__25
                {
                mT__25(); 

                }
                break;
            case 10 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:1:64: T__26
                {
                mT__26(); 

                }
                break;
            case 11 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:1:70: T__27
                {
                mT__27(); 

                }
                break;
            case 12 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:1:76: T__28
                {
                mT__28(); 

                }
                break;
            case 13 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:1:82: T__29
                {
                mT__29(); 

                }
                break;
            case 14 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:1:88: T__30
                {
                mT__30(); 

                }
                break;
            case 15 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:1:94: T__31
                {
                mT__31(); 

                }
                break;
            case 16 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:1:100: T__32
                {
                mT__32(); 

                }
                break;
            case 17 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:1:106: T__33
                {
                mT__33(); 

                }
                break;
            case 18 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:1:112: T__34
                {
                mT__34(); 

                }
                break;
            case 19 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:1:118: T__35
                {
                mT__35(); 

                }
                break;
            case 20 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:1:124: ADD
                {
                mADD(); 

                }
                break;
            case 21 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:1:128: DELETE
                {
                mDELETE(); 

                }
                break;
            case 22 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:1:135: EXECUTE
                {
                mEXECUTE(); 

                }
                break;
            case 23 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:1:143: QUERY
                {
                mQUERY(); 

                }
                break;
            case 24 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:1:149: SEND
                {
                mSEND(); 

                }
                break;
            case 25 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:1:154: RECEIVE
                {
                mRECEIVE(); 

                }
                break;
            case 26 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:1:162: INTERNAL
                {
                mINTERNAL(); 

                }
                break;
            case 27 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:1:171: SEMICOLON
                {
                mSEMICOLON(); 

                }
                break;
            case 28 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:1:181: NUMBER
                {
                mNUMBER(); 

                }
                break;
            case 29 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:1:188: ID
                {
                mID(); 

                }
                break;
            case 30 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:1:191: INTENTION
                {
                mINTENTION(); 

                }
                break;
            case 31 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:1:201: DATABASE
                {
                mDATABASE(); 

                }
                break;
            case 32 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jALLL\\ALLL.g:1:210: WS
                {
                mWS(); 

                }
                break;

        }

    }


    protected DFA6 dfa6 = new DFA6(this);
    static final String DFA6_eotS =
        "\2\uffff\1\40\1\41\5\uffff\1\44\4\uffff\2\33\1\uffff\1\47\1\50"+
        "\6\uffff\2\51\12\uffff\1\54\1\55\3\uffff\2\51\2\uffff";
    static final String DFA6_eofS =
        "\56\uffff";
    static final String DFA6_minS =
        "\1\11\1\uffff\1\46\1\53\5\uffff\1\144\4\uffff\2\111\1\uffff\2\53"+
        "\6\uffff\2\53\12\uffff\2\53\3\uffff\2\53\2\uffff";
    static final String DFA6_maxS =
        "\1\175\1\uffff\1\116\1\172\5\uffff\1\151\4\uffff\2\111\1\uffff"+
        "\2\172\6\uffff\2\172\12\uffff\2\172\3\uffff\2\172\2\uffff";
    static final String DFA6_acceptS =
        "\1\uffff\1\1\2\uffff\1\7\1\10\1\11\1\12\1\13\1\uffff\1\15\1\16"+
        "\1\17\1\20\2\uffff\1\23\2\uffff\1\26\1\27\1\30\1\31\1\32\1\33\2"+
        "\uffff\1\35\1\40\1\2\1\3\1\4\1\5\1\6\1\36\1\37\1\14\2\uffff\1\24"+
        "\1\25\1\34\2\uffff\1\21\1\22";
    static final String DFA6_specialS =
        "\56\uffff}>";
    static final String[] DFA6_transitionS = {
            "\2\34\1\uffff\2\34\22\uffff\1\34\1\25\1\uffff\1\24\1\27\1\uffff"+
            "\1\2\1\1\1\5\1\6\1\uffff\1\21\1\10\1\22\1\33\1\uffff\1\31\11"+
            "\32\1\20\1\30\1\7\1\uffff\1\11\1\26\1\23\5\33\1\16\10\33\1\17"+
            "\13\33\1\14\1\uffff\1\15\1\4\1\3\1\uffff\32\33\1\12\1\uffff"+
            "\1\13",
            "",
            "\1\35\45\uffff\1\36\1\uffff\1\37",
            "\1\33\1\uffff\2\33\1\uffff\12\33\7\uffff\32\33\4\uffff\1\33"+
            "\1\uffff\32\33",
            "",
            "",
            "",
            "",
            "",
            "\1\43\4\uffff\1\42",
            "",
            "",
            "",
            "",
            "\1\45",
            "\1\46",
            "",
            "\1\33\1\uffff\2\33\1\uffff\12\33\7\uffff\32\33\4\uffff\1\33"+
            "\1\uffff\32\33",
            "\1\33\1\uffff\2\33\1\uffff\12\33\7\uffff\32\33\4\uffff\1\33"+
            "\1\uffff\32\33",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\33\1\uffff\2\33\1\uffff\12\33\7\uffff\32\33\4\uffff\1\33"+
            "\1\uffff\32\33",
            "\1\33\1\uffff\2\33\1\uffff\1\52\11\53\7\uffff\32\33\4\uffff"+
            "\1\33\1\uffff\32\33",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\33\1\uffff\2\33\1\uffff\12\33\7\uffff\32\33\4\uffff\1\33"+
            "\1\uffff\32\33",
            "\1\33\1\uffff\2\33\1\uffff\12\33\7\uffff\32\33\4\uffff\1\33"+
            "\1\uffff\32\33",
            "",
            "",
            "",
            "\1\33\1\uffff\2\33\1\uffff\1\52\11\53\7\uffff\32\33\4\uffff"+
            "\1\33\1\uffff\32\33",
            "\1\33\1\uffff\2\33\1\uffff\1\52\11\53\7\uffff\32\33\4\uffff"+
            "\1\33\1\uffff\32\33",
            "",
            ""
    };

    static final short[] DFA6_eot = DFA.unpackEncodedString(DFA6_eotS);
    static final short[] DFA6_eof = DFA.unpackEncodedString(DFA6_eofS);
    static final char[] DFA6_min = DFA.unpackEncodedStringToUnsignedChars(DFA6_minS);
    static final char[] DFA6_max = DFA.unpackEncodedStringToUnsignedChars(DFA6_maxS);
    static final short[] DFA6_accept = DFA.unpackEncodedString(DFA6_acceptS);
    static final short[] DFA6_special = DFA.unpackEncodedString(DFA6_specialS);
    static final short[][] DFA6_transition;

    static {
        int numStates = DFA6_transitionS.length;
        DFA6_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA6_transition[i] = DFA.unpackEncodedString(DFA6_transitionS[i]);
        }
    }

    class DFA6 extends DFA {

        public DFA6(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 6;
            this.eot = DFA6_eot;
            this.eof = DFA6_eof;
            this.min = DFA6_min;
            this.max = DFA6_max;
            this.accept = DFA6_accept;
            this.special = DFA6_special;
            this.transition = DFA6_transition;
        }
        public String getDescription() {
            return "1:1: Tokens : ( T__17 | T__18 | T__19 | T__20 | T__21 | T__22 | T__23 | T__24 | T__25 | T__26 | T__27 | T__28 | T__29 | T__30 | T__31 | T__32 | T__33 | T__34 | T__35 | ADD | DELETE | EXECUTE | QUERY | SEND | RECEIVE | INTERNAL | SEMICOLON | NUMBER | ID | INTENTION | DATABASE | WS );";
        }
    }
 

}